## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASECatalog

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl
                                      org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASECatalogImpl
                                          org.eclipse.datatools.enablement.ase.catalog.SybaseASECatalog

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, SybaseASECatalog, Catalog, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASECatalog

extends SybaseASECatalogImpl
implements ICatalogObject, org.eclipse.core.runtime.IAdaptable

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASECatalog()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`org.eclipse.emf.common.util.EList` `getAuthorizationIds()`
`SybaseASECache` `getCache()`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`org.eclipse.emf.common.util.EList` `getDataDevices()`
`org.eclipse.emf.common.util.EList` `getLogDevices()`
`int` `getLogIOSize()`
`int` `getRecoveryOrder()`
`org.eclipse.emf.common.util.EList` `getSchemas()` Returns the value of the 'Schemas' reference list.
`org.eclipse.emf.common.util.EList` `getSegments()`
`boolean` `isOverride()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASECatalogImpl
`basicGetCache, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getCatalogType, getDefaultLocation, isForLoad, isForProxyUpdate, setCache, setCatalogType, setDefaultLocation, setForLoad, setForProxyUpdate, setLogIOSize, setOverride, setRecoveryOrder, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl
`basicGetDatabase, basicSetDatabase, getDatabase, setDatabase`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Catalog
`getDatabase, setDatabase`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseASECatalog

    public SybaseASECatalog()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getSchemas

    public org.eclipse.emf.common.util.EList getSchemas()

  Description copied from interface: `Catalog`
  Returns the value of the 'Schemas' reference list. The list contents are of type `Schema`. It is bidirectional and its opposite is '`Catalog`'.

  If the meaning of the 'Schemas' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getSchemas` in interface `Catalog`
  Overrides:
    `getSchemas` in class `org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl`
  Returns:
    the value of the 'Schemas' reference list.
  See Also:
    `SQLSchemaPackage.getCatalog_Schemas()`, `Schema.getCatalog()`

### getAuthorizationIds

    public org.eclipse.emf.common.util.EList getAuthorizationIds()

  Description copied from class: `SybaseASECatalogImpl`

  Specified by:
    `getAuthorizationIds` in interface `SybaseASECatalog`
  Overrides:
    `getAuthorizationIds` in class `SybaseASECatalogImpl`
  Returns:
    the value of the 'Authorization Ids' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASECatalog_AuthorizationIds()`

### getCache

    public SybaseASECache getCache()

  Description copied from class: `SybaseASECatalogImpl`

  Specified by:
    `getCache` in interface `SybaseASECatalog`
  Overrides:
    `getCache` in class `SybaseASECatalogImpl`
  Returns:
    the value of the 'Cache' reference.
  See Also:
    `SybaseASECatalog.setCache(SybaseASECache)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_Cache()`

### getDataDevices

    public org.eclipse.emf.common.util.EList getDataDevices()

  Description copied from class: `SybaseASECatalogImpl`

  Specified by:
    `getDataDevices` in interface `SybaseASECatalog`
  Overrides:
    `getDataDevices` in class `SybaseASECatalogImpl`
  Returns:
    the value of the 'Data Devices' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASECatalog_DataDevices()`

### getLogDevices

    public org.eclipse.emf.common.util.EList getLogDevices()

  Description copied from class: `SybaseASECatalogImpl`

  Specified by:
    `getLogDevices` in interface `SybaseASECatalog`
  Overrides:
    `getLogDevices` in class `SybaseASECatalogImpl`
  Returns:
    the value of the 'Log Devices' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASECatalog_LogDevices()`

### isOverride

    public boolean isOverride()

  Description copied from class: `SybaseASECatalogImpl`

  Specified by:
    `isOverride` in interface `SybaseASECatalog`
  Overrides:
    `isOverride` in class `SybaseASECatalogImpl`
  Returns:
    the value of the 'Override' attribute.
  See Also:
    `SybaseASECatalog.setOverride(boolean)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_Override()`

### getLogIOSize

    public int getLogIOSize()

  Description copied from class: `SybaseASECatalogImpl`

  Specified by:
    `getLogIOSize` in interface `SybaseASECatalog`
  Overrides:
    `getLogIOSize` in class `SybaseASECatalogImpl`
  Returns:
    the value of the 'Log IO Size' attribute.
  See Also:
    `SybaseASECatalog.setLogIOSize(int)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_LogIOSize()`

### getRecoveryOrder

    public int getRecoveryOrder()

  Description copied from class: `SybaseASECatalogImpl`

  Specified by:
    `getRecoveryOrder` in interface `SybaseASECatalog`
  Overrides:
    `getRecoveryOrder` in class `SybaseASECatalogImpl`
  Returns:
    the value of the 'Recovery Order' attribute.
  See Also:
    `SybaseASECatalog.setRecoveryOrder(int)`, `SybaseasesqlmodelPackage.getSybaseASECatalog_RecoveryOrder()`

### getSegments

    public org.eclipse.emf.common.util.EList getSegments()

  Description copied from class: `SybaseASECatalogImpl`

  Specified by:
    `getSegments` in interface `SybaseASECatalog`
  Overrides:
    `getSegments` in class `SybaseASECatalogImpl`
  Returns:
    the value of the 'Segments' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASECatalog_Segments()`, `SybaseASESegment.getCatalog()`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`